## links-hacked 030709-4

=== src/intl/Makefile ===
all: sync gen

sync:
	./synclang

gen:
	./gen-intl

## links-hacked 030709

=== debian/changelog ===
links-hacked (030709) unstable; urgency=low

  * First trying to build

 -- unknown <Bonapart@programist.ru>  Mon, 11 Oct 2010 11:59:58 +0000

=== debian/control ===
Source: links-hacked
Section: unknown
Priority: extra
Maintainer: unknown <Bonapart@unknown>
Build-Depends: debhelper (>= 5),  libpng12-dev,libx11-dev,libjpeg7-dev 
Standards-Version: 3.7.3
Homepage: <insert the upstream URL, if relevant>

Package: links-hacked
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: <insert up to 60 chars description>
 <insert long description, indented with spaces>

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1





configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	

	cd src&&sh autogen.sh
	cd src&&sh configure --enable-ldap-support --enable-javascript --enable-graphics --enable-shared --with-x
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp  
	dh_testdir

	# Add here commands to compile the package.
	cd src && $(MAKE)
	#docbook-to-man debian/links-hacked.sgml > links-hacked.1

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/links-hacked.
	cd src && $(MAKE) INSTALL_ROOT="$(CURDIR)"/debian/links-hacked install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## links-hacked 030709-1

=== debian/changelog ===
links-hacked (030709-1) unstable; urgency=low

  * Menu icon included

 -- unknown <Bonapart@programist.ru>  Mon, 11 Oct 2010 11:59:58 +0000

=== debian/rules ===
--- 
+++ 
@@ -53,7 +53,9 @@
 	dh_installdirs
 
 	# Add here commands to install the package into debian/links-hacked.
-	cd src && $(MAKE) INSTALL_ROOT="$(CURDIR)"/debian/links-hacked install
+	cd src && $(MAKE) INSTALL_ROOT="$(CURDIR)"/../debian/links-hacked install
+	mkdir debian/links-hacked/usr/share/applications/hildon/ -p
+	cp links.desktop debian/links-hacked/usr/share/applications/hildon/ 
 
 
 # Build architecture-independent files here.

## links-hacked 030709-2

=== debian/changelog ===
links-hacked (030709-2) unstable; urgency=low

  * wrong compilation...

 -- unknown <Bonapart@programist.ru>  Mon, 11 Oct 2010 11:59:58 +0000

=== debian/rules ===
--- 
+++ 
@@ -51,10 +51,11 @@
 	dh_testroot
 	dh_clean -k 
 	dh_installdirs
-
+	
+	mkdir debian/links-hacked/usr/share/applications/hildon/ -p
 	# Add here commands to install the package into debian/links-hacked.
-	cd src && $(MAKE) INSTALL_ROOT="$(CURDIR)"/../debian/links-hacked install
-	mkdir debian/links-hacked/usr/share/applications/hildon/ -p
+	cd src && $(MAKE) INSTALL_ROOT=$(pwd)/debian/links-hacked install
+	find .
 	cp links.desktop debian/links-hacked/usr/share/applications/hildon/

## links-hacked 030709-3

=== debian/changelog ===
links-hacked (030709-3) unstable; urgency=low

  * conflict with links resolved by renaming

 -- unknown <Bonapart@programist.ru>  Mon, 11 Oct 2010 11:59:58 +0000

=== debian/rules ===
--- 
+++ 
@@ -55,7 +55,7 @@
 	mkdir debian/links-hacked/usr/share/applications/hildon/ -p
 	# Add here commands to install the package into debian/links-hacked.
 	cd src && $(MAKE) INSTALL_ROOT=$(pwd)/debian/links-hacked install
-	find .
+	cp src/links debian/links-hacked/usr/bin/linksh
 	cp links.desktop debian/links-hacked/usr/share/applications/hildon/

## links-hacked 030709-4

=== debian/changelog ===
links-hacked (030709-4) unstable; urgency=low

  * Add debian/optify for autobuilder optification

 -- Pali Rohár <pali.rohar@gmail.com>  Thu, 24 Oct 2013 22:13:51 +0200

=== debian/control ===
Source: links-hacked
Section: user/network
Priority: extra
Maintainer: bonapart<bonapart@programist.ru>
Build-Depends: debhelper (>= 5),  libpng12-dev,libx11-dev,libjpeg7-dev 
Standards-Version: 3.7.3
Homepage: http://xray.sai.msu.ru/~karpov/links-hacked/

Package: links-hacked
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Console browser
 Just good browser for console...
